commit:     a4c3eeb47b0631a7ae3336cf3a39339f0c294f17
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  5 20:16:32 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Apr  5 20:32:17 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4c3eeb4

dev-php/pecl-mongodb: bump to v1.9.0

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/pecl-mongodb/Manifest                  |  1 +
 dev-php/pecl-mongodb/pecl-mongodb-1.9.0.ebuild | 55 ++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-php/pecl-mongodb/Manifest b/dev-php/pecl-mongodb/Manifest
index 3b88f99e7bc..682116d0c8c 100644
--- a/dev-php/pecl-mongodb/Manifest
+++ b/dev-php/pecl-mongodb/Manifest
@@ -2,3 +2,4 @@ DIST mongodb-1.7.4.tgz 1223416 BLAKE2B 
9db40284eb2b70e242f26c1661923c5f33de8ab1e
 DIST mongodb-1.7.5.tgz 1223892 BLAKE2B 
c30a217d1170c31be00259f4bb58cfea186947fa0bf1653de32e228a8eb8d3fb25b52d7a5a9e16f6b311418d977f7aa00bf96ca9d7e9ac9a8fa7b6fe05eace8f
 SHA512 
f0565adc42659d4070e42122d02a8306f29d6d70fe0b5e9a92144df346a8c672aafdf36613435b9dc8d50db5e98c2359fdf97408c45439d4d447257b85e93122
 DIST mongodb-1.8.0.tgz 1292928 BLAKE2B 
3bd9e5eb6b981010637b9e478928fa21268e1d1447f3ff345bfdb45c93637990e261c46b2ce09560cd4e284df73494dac210436cf700b588803e4ceffb8dc67c
 SHA512 
7fd54dabde8df9533abd36d159c3da1c2b4606e7788b8a6d41faf83d0710b74885e8bfb4e1f4837a50248f3af1df2e7414b90f99227fc92c9084f779c7e68698
 DIST mongodb-1.8.1.tgz 1292453 BLAKE2B 
25fe36b7d966a4dcf631764aeb93c09932cc0643e46fe5e594d9223a9d3f099b75211a813114c3e8cd4a1722da774b669ef968fdbb1d4877a81cf1f637890997
 SHA512 
a80682e3a90ead699a930185c3d10bc3a86b335b45891be6d41ef829fab6f2f2468adb5973735048fa98bb6aaa9c8568ba9f7df5709916d5b6f7676c77188d0c
+DIST mongodb-1.9.0.tgz 1300408 BLAKE2B 
1cf6a43694e8113df8028c2663db8049421140d53124e6dcf8cb3e42daf961dc6a63cc930c765874eb1ccac13d419980d883e42ba33f3ea389b07ea006217432
 SHA512 
80ad3caddde045fe5e879167b2b4cfc27bdabf6d3667df4df73f33503c329b0d6bf4da6b287fe454301a9a390434eec19971059c6de8d4c9720a79fe7680366d

diff --git a/dev-php/pecl-mongodb/pecl-mongodb-1.9.0.ebuild 
b/dev-php/pecl-mongodb/pecl-mongodb-1.9.0.ebuild
new file mode 100644
index 00000000000..f214d36f5d0
--- /dev/null
+++ b/dev-php/pecl-mongodb/pecl-mongodb-1.9.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PHP_EXT_NAME="mongodb"
+USE_PHP="php7-3 php7-4 php8-0"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="MongoDB database driver for PHP"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl sasl test"
+
+PHP_DEPEND="
+       php_targets_php7-3? ( dev-lang/php:7.3[json,ssl,zlib] )
+       php_targets_php7-4? ( dev-lang/php:7.4[json,ssl,zlib] )
+       php_targets_php8-0? ( dev-lang/php:8.0[ssl,zlib] )"
+COMMON_DEPEND="${PHP_DEPEND}
+       >=dev-libs/libbson-1.17.0
+       >=dev-libs/mongo-c-driver-1.17.0[sasl?,ssl]
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       sasl? ( dev-libs/cyrus-sasl )"
+DEPEND="${COMMON_DEPEND}
+       test? ( dev-db/mongodb )"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND="${PHP_DEPEND}
+       virtual/pkgconfig"
+
+# No tests on x86 because tests require dev-db/mongodb which don't support
+# x86 anymore (bug #645994)
+RESTRICT="x86? ( test )
+       !test? ( test )"
+
+src_configure() {
+       local PHP_EXT_ECONF_ARGS=(
+               --enable-mongodb
+               --with-libbson
+               --with-libmongoc
+               --with-mongodb-sasl=$(usex sasl)
+       )
+       php-ext-source-r3_src_configure
+}
+
+src_test() {
+       local PORT=27017
+       mongod --port ${PORT} --bind_ip 127.0.0.1 --nounixsocket --fork \
+               --dbpath="${T}" --logpath="${T}/mongod.log" || die
+       php-ext-pecl-r3_src_test
+       kill $(<"${T}/mongod.lock")
+}

Reply via email to